"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Constants_1 = __importDefault(require("../constants/Constants"));
const AbstractGenerateStubCommand_1 = __importDefault(require("./AbstractGenerateStubCommand"));
class ClientCommand extends AbstractGenerateStubCommand_1.default {
    constructor() {
        super(...arguments);
        this.quickPickOptionGeneratorTypes = Constants_1.default.QUICK_PICK_OPTION_CLIENT_TYPES;
        // Go
        this.goTypes = ['go'];
        // Java - Lagom, MP/JEE, Spring
        this.javaTypes = ['java', 'jaxrs-cxf-client'];
        this.javaSpringTypes = [];
        this.codewindTypes = ['java', 'jaxrs-cxf-client'];
        // Node
        this.nodeTypes = ['javascript',
            'javascript-closure-angular',
            'javascript-flowtyped',
            'typescript-angular',
            'typescript-angularjs',
            'typescript-aurelia',
            'typescript-axios',
            'typescript-fetch',
            'typescript-inversify',
            'typescript-jquery',
            'typescript-node'
        ];
        // Python
        this.pythonTypes = ['python'];
        // Swift
        this.swiftTypes = ['swift3', 'swift4', 'swift2-deprecated'];
    }
}
exports.default = ClientCommand;
//# sourceMappingURL=ClientCommand.js.map