"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Constants_1 = __importDefault(require("../constants/Constants"));
const AbstractGenerateStubCommand_1 = __importDefault(require("./AbstractGenerateStubCommand"));
class ServerCommand extends AbstractGenerateStubCommand_1.default {
    constructor() {
        super(...arguments);
        this.quickPickOptionGeneratorTypes = Constants_1.default.QUICK_PICK_OPTION_SERVER_TYPES;
        // Go
        this.goTypes = ['go-gin-server', 'go-server'];
        // Java - Lagom, MP/JEE, Spring
        this.javaTypes = ['jaxrs-spec',
            'java-inflector',
            'java-msf4j',
            'java-pkmst',
            'java-play-framework',
            'java-undertow-server',
            'java-vertx',
            'jaxrs-cxf',
            'jaxrs-cxf-cdi',
            'jaxrs-jersey',
            'jaxrs-resteasy',
            'jaxrs-resteasy-eap'
        ];
        this.javaSpringTypes = ['spring'];
        this.codewindTypes = ['jaxrs-spec', 'jaxrs-cxf'];
        // Node
        this.nodeTypes = ['nodejs-express-server', 'nodejs-server-deprecated'];
        // Python
        this.pythonTypes = ['python-flask'];
        // Swift
        this.swiftTypes = [];
    }
}
exports.default = ServerCommand;
//# sourceMappingURL=ServerCommand.js.map