"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/*******************************************************************************
 * Copyright (c) 2019 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
const Logger_1 = __importDefault(require("../util/Logger"));
var fs = require('fs');
class Translator {
    constructor() {
        var contents = fs.readFileSync(__dirname + "/Strings.json");
        this.jsonObject = JSON.parse(contents);
    }
    getString(key, data) {
        var obj = this.getProperty(this.jsonObject, key);
        if (obj) {
            if (data) {
                for (var i = 0; i < data.length; i++) {
                    obj = obj.replace("{" + i + "}", data[i]);
                }
            }
            return obj;
        }
        else {
            Logger_1.default.e("String " + key + " is not found in the string resource file");
        }
        return "";
    }
    getProperty(obj, path) {
        var keys = path.split('.');
        for (var i = 0; i < keys.length; i++) {
            if (!obj.hasOwnProperty(keys[i])) {
                return;
            }
            obj = obj[keys[i]];
        }
        return obj;
    }
}
var translator = new Translator();
function init() {
    translator = new Translator();
}
function getString(key, ...replacement) {
    return translator.getString(key, replacement);
}
exports.default = {
    init,
    getString
};
//# sourceMappingURL=Translator.js.map