/*******************************************************************************
 * Copyright (c) 2019 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License 2.0
 * which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = __importStar(require("vscode"));
const GenerateClientCommand_1 = __importDefault(require("./commands/GenerateClientCommand"));
const GenerateServerCommand_1 = __importDefault(require("./commands/GenerateServerCommand"));
const GenerateHtmlCommand_1 = __importDefault(require("./commands/GenerateHtmlCommand"));
const Logger_1 = __importDefault(require("./util/Logger"));
const Translator_1 = __importDefault(require("./constants/Translator"));
function activate(context) {
    try {
        Translator_1.default.init();
    }
    catch (err) {
    }
    Logger_1.default.setLogFilePath(context);
    context.subscriptions.push(vscode.commands.registerCommand(GenerateClientCommand_1.default.id, (selection) => GenerateClientCommand_1.default.generate(selection)));
    context.subscriptions.push(vscode.commands.registerCommand(GenerateServerCommand_1.default.id, (selection) => GenerateServerCommand_1.default.generate(selection)));
    context.subscriptions.push(vscode.commands.registerCommand(GenerateHtmlCommand_1.default.id, (selection) => GenerateHtmlCommand_1.default.generate(selection)));
}
exports.activate = activate;
function deactivate() {
}
exports.deactivate = deactivate;
//# sourceMappingURL=extension.js.map